"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.accountWindowedBreakerKey = exports.mintWindowedBreakerKey = void 0;
const web3_js_1 = require("@solana/web3.js");
const constants_1 = require("./constants");
function mintWindowedBreakerKey(mint, programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([
        Buffer.from("mint_windowed_breaker", "utf-8"),
        mint.toBuffer()
    ], programId);
}
exports.mintWindowedBreakerKey = mintWindowedBreakerKey;
function accountWindowedBreakerKey(account, programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([Buffer.from("account_windowed_breaker", "utf-8"), account.toBuffer()], programId);
}
exports.accountWindowedBreakerKey = accountWindowedBreakerKey;
//# sourceMappingURL=pdas.js.map