"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.circuitBreakerResolvers = exports.circuitBreakerProgramResolver = void 0;
const spl_utils_1 = require("@render-foundation/spl-utils");
const constants_1 = require("./constants");
exports.circuitBreakerProgramResolver = (0, spl_utils_1.resolveIndividual)(({ path }) => __awaiter(void 0, void 0, void 0, function* () {
    if (path[path.length - 1] === "circuitBreakerProgram") {
        return constants_1.PROGRAM_ID;
    }
}));
exports.circuitBreakerResolvers = (0, spl_utils_1.combineResolvers)(exports.circuitBreakerProgramResolver);
//# sourceMappingURL=resolvers.js.map