import { PublicKey } from "@solana/web3.js";
import { PROGRAM_ID } from "./constants";
export function mintWindowedBreakerKey(mint, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        Buffer.from("mint_windowed_breaker", "utf-8"),
        mint.toBuffer()
    ], programId);
}
export function accountWindowedBreakerKey(account, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([Buffer.from("account_windowed_breaker", "utf-8"), account.toBuffer()], programId);
}
//# sourceMappingURL=pdas.js.map