import { CircuitBreaker } from "@render-foundation/idls/lib/types/circuit_breaker";
import { AnchorProvider, Idl, Program } from "@coral-xyz/anchor";
import { PublicKey } from "@solana/web3.js";
import BN from "bn.js";
export * from "./constants";
export * from "./pdas";
export * from "./resolvers";
export declare const ThresholdType: {
    Percent: {
        percent: {};
    };
    Absolute: {
        absolute: {};
    };
};
export declare function thresholdPercent(percent: number): BN;
export declare function init(provider: AnchorProvider, programId?: PublicKey, idl?: Idl | boolean): Promise<Program<CircuitBreaker>>;
//# sourceMappingURL=index.d.ts.map